## mx4j.tools.remote.http
Class HTTPConnectorServer

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          javax.management.remote.JMXConnectorServer
              mx4j.tools.remote.AbstractJMXConnectorServer
                  mx4j.tools.remote.http.HTTPConnectorServer

All Implemented Interfaces:
  javax.management.remote.JMXConnectorServerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

Direct Known Subclasses:
  BurlapConnectorServer, HessianConnectorServer, SOAPConnectorServer

public abstract class HTTPConnectorServer
extends AbstractJMXConnectorServer

Version:
  $Revision: 1.3 $

Field Summary
`static java.lang.String` `EMBEDDED_WEB_CONTAINER_CLASS`
`static java.lang.String` `USE_EXTERNAL_WEB_CONTAINER`

Fields inherited from class javax.management.remote.JMXConnectorServer
`AUTHENTICATOR`

Constructor Summary
`HTTPConnectorServer(javax.management.remote.JMXServiceURL url, java.util.Map environment, javax.management.MBeanServer server)`

Method Summary
`protected abstract ConnectionManager` `createConnectionManager(AbstractJMXConnectorServer server, java.util.Map environment)`
`protected void` `doStart()` Template method implemented by subclasses to start this JMXConnectorServer
`protected void` `doStop()` Template method implemented by subclasses to stop this JMXConnectorServer

Methods inherited from class mx4j.tools.remote.AbstractJMXConnectorServer
`connectionClosed, connectionFailed, connectionOpened, getAddress, getAttributes, getEnvironment, getLogger, isActive, isStopped, setAddress, start, stop`

Methods inherited from class javax.management.remote.JMXConnectorServer
`getConnectionIds, getMBeanServer, getNotificationInfo, postDeregister, postRegister, preDeregister, preRegister, setMBeanServerForwarder, toJMXConnector`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_EXTERNAL_WEB_CONTAINER

    public static final java.lang.String USE_EXTERNAL_WEB_CONTAINER

See Also:
  Constant Field Values

### EMBEDDED_WEB_CONTAINER_CLASS

    public static final java.lang.String EMBEDDED_WEB_CONTAINER_CLASS

See Also:
  Constant Field Values

Constructor Detail

### HTTPConnectorServer

    public HTTPConnectorServer(javax.management.remote.JMXServiceURL url,
                               java.util.Map environment,
                               javax.management.MBeanServer server)

Method Detail

### doStart

    protected void doStart()
                    throws java.io.IOException,
                           java.lang.IllegalStateException

  Description copied from class: `AbstractJMXConnectorServer`
  Template method implemented by subclasses to start this JMXConnectorServer

  Specified by:
    `doStart` in class `AbstractJMXConnectorServer`
  Throws:
    `java.io.IOException`
    `java.lang.IllegalStateException`

### createConnectionManager

    protected abstract ConnectionManager createConnectionManager(AbstractJMXConnectorServer server,
                                                                 java.util.Map environment)

### doStop

    protected void doStop()
                   throws java.io.IOException

  Description copied from class: `AbstractJMXConnectorServer`
  Template method implemented by subclasses to stop this JMXConnectorServer

  Specified by:
    `doStop` in class `AbstractJMXConnectorServer`
  Throws:
    `java.io.IOException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.